[bug#35705,0/9] Sphinx 2.0
mbox series

Message ID 20190512220907.17418-1-mbakke@fastmail.com
Headers show
Series
  • Sphinx 2.0
Related show

Message

Marius Bakke May 12, 2019, 10:09 p.m. UTC
These patches migrate Sphinx to its own module and updates to 2.0.

Sphinx 2 no longer supports Python 2, so it is removed first.

Note: The last patch is intended for the 'staging' branch.

Marius Bakke (9):
  gnu: Move Sphinx and friends to (gnu packages sphinx).
  gnu: Remove python2-sphinx.
  gnu: Add python-sphinxcontrib-serializinghtml.
  gnu: Add python-sphinxcontrib-applehelp.
  gnu: Add python-sphinxcontrib-devhelp.
  gnu: Add python-sphinxcontrib-jsmath.
  gnu: Add python-sphinxcontrib-htmlhelp.
  gnu: Add python-sphinxcontrib-qthelp.
  gnu: python-sphinx: Update to 2.0.1.

 gnu/local.mk                    |   1 +
 gnu/packages/admin.scm          |   1 +
 gnu/packages/bioinformatics.scm |   3 +-
 gnu/packages/calendar.scm       |   1 +
 gnu/packages/cluster.scm        |   2 +-
 gnu/packages/databases.scm      |   1 +
 gnu/packages/dav.scm            |   3 +-
 gnu/packages/disk.scm           |   1 +
 gnu/packages/django.scm         |   1 +
 gnu/packages/elf.scm            |   2 +-
 gnu/packages/emacs-xyz.scm      |   1 +
 gnu/packages/emulators.scm      |   2 +-
 gnu/packages/finance.scm        |   1 +
 gnu/packages/image.scm          |   3 +-
 gnu/packages/libffi.scm         |   1 +
 gnu/packages/mail.scm           |   3 +-
 gnu/packages/mpd.scm            |   2 +-
 gnu/packages/openstack.scm      |   1 +
 gnu/packages/pdf.scm            |   1 +
 gnu/packages/python-web.scm     |   1 +
 gnu/packages/python-xyz.scm     | 328 +----------------------
 gnu/packages/search.scm         |   1 +
 gnu/packages/sphinx.scm         | 449 ++++++++++++++++++++++++++++++++
 gnu/packages/statistics.scm     |   1 +
 gnu/packages/storage.scm        |   1 +
 gnu/packages/sync.scm           |   2 +-
 gnu/packages/terminals.scm      |   1 +
 gnu/packages/tls.scm            |   1 +
 gnu/packages/web.scm            |   7 +-
 29 files changed, 484 insertions(+), 339 deletions(-)
 create mode 100644 gnu/packages/sphinx.scm

Comments

Ricardo Wurmus May 14, 2019, 9:23 p.m. UTC | #1
Marius Bakke <mbakke@fastmail.com> writes:

> These patches migrate Sphinx to its own module and updates to 2.0.
>
> Sphinx 2 no longer supports Python 2, so it is removed first.

Thanks for working on it.  As discussed on IRC we have some packages
(such as python2-pbcore) which need python2-sphinx, so it would be good
to keep a Python 2 version around for now.
Marius Bakke May 25, 2019, 10:56 a.m. UTC | #2
Marius Bakke <mbakke@fastmail.com> writes:

> These patches migrate Sphinx to its own module and updates to 2.0.
>
> Sphinx 2 no longer supports Python 2, so it is removed first.
>
> Note: The last patch is intended for the 'staging' branch.
>
> Marius Bakke (9):
>   gnu: Move Sphinx and friends to (gnu packages sphinx).
>   gnu: Remove python2-sphinx.
>   gnu: Add python-sphinxcontrib-serializinghtml.
>   gnu: Add python-sphinxcontrib-applehelp.
>   gnu: Add python-sphinxcontrib-devhelp.
>   gnu: Add python-sphinxcontrib-jsmath.
>   gnu: Add python-sphinxcontrib-htmlhelp.
>   gnu: Add python-sphinxcontrib-qthelp.
>   gnu: python-sphinx: Update to 2.0.1.

Pushed, without removing python2-sphinx.